summaryrefslogtreecommitdiffstats
path: root/extra/source/jdk-6/jdk.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'extra/source/jdk-6/jdk.SlackBuild')
-rwxr-xr-xextra/source/jdk-6/jdk.SlackBuild123
1 files changed, 123 insertions, 0 deletions
diff --git a/extra/source/jdk-6/jdk.SlackBuild b/extra/source/jdk-6/jdk.SlackBuild
new file mode 100755
index 000000000..6c984d583
--- /dev/null
+++ b/extra/source/jdk-6/jdk.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=6u16
+DVER=1.6.0_16
+ARCH=x86_64 # only determines the lib path locations
+JAVA_ARCH=${JAVA_ARCH:-x64} # or i586 if you want the 32bit version
+BUILD=${BUILD:-1}
+
+
+if [ "$JAVA_ARCH" = "x64" ]; then
+ LIB_ARCH=amd64
+else
+ LIB_ARCH=i386
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-jdk
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $PKG
+mkdir -p usr/lib${LIBDIRSUFFIX}
+cd usr/lib${LIBDIRSUFFIX}
+yes yes | sh $CWD/jdk-${VERSION}-linux-${JAVA_ARCH}.bin || exit 1
+mkdir -p $PKG/etc/profile.d
+for file in $(ls $CWD/profile.d/*) ; do
+ cat $file | sed -e "s#lib/java#lib${LIBDIRSUFFIX}/java#" \
+ > $PKG/etc/profile.d/$(basename $file)
+done
+chown -R root.root $PKG
+find $PKG \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400
+\) \
+ -exec chmod 644 {} \;
+
+chmod 755 $PKG/etc/profile.d/*
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ mv jdk${DVER} java || exit 1
+ ln -sf java jdk${DVER}
+) || exit 1
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
+ ln -sf /usr/lib${LIBDIRSUFFIX}/java/jre/lib/${LIB_ARCH}/libnpjp2.so libnpjp2.so
+)
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -sf ./java/jre/lib/${LIB_ARCH}/server/libjvm.so .
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat << EOF > $PKG/install/doinst.sh
+
+# Clean up a potential upgrade mess caused by changing the
+# installation directory to /usr/lib${LIBDIRSUFFIX}/java/:
+if [ -L usr/lib${LIBDIRSUFFIX}/java ]; then
+ rm -rf usr/lib${LIBDIRSUFFIX}/java
+ mkdir -p usr/lib${LIBDIRSUFFIX}/java/man
+ mkdir -p usr/lib${LIBDIRSUFFIX}/java/jre/lib/${LIB_ARCH}/server
+ mkdir -p usr/lib${LIBDIRSUFFIX}/java/jre/lib/${LIB_ARCH}/client
+ mkdir -p usr/lib${LIBDIRSUFFIX}/java/jre/javaws
+ mkdir -p usr/lib${LIBDIRSUFFIX}/java/jre/bin
+ mkdir -p usr/lib${LIBDIRSUFFIX}/java/bin
+ mkdir -p usr/lib${LIBDIRSUFFIX}/mozilla/plugins
+fi
+if [ -L ControlPanel ]; then
+ rm -f ControlPanel
+fi
+if [ -L ja ]; then
+ rm -f ja
+fi
+if [ -L javaws ]; then
+ rm -f javaws
+fi
+if [ -L libjsig.so ]; then
+ rm -f libjsig.so
+fi
+# End cleanup.
+EOF
+
+# Install the desktop/mime files:
+mkdir -p $PKG/usr/share/{applications,icons,mime}
+cp -a $PKG/usr/lib${LIBDIRSUFFIX}/java/jre/lib/desktop/applications/* \
+ $PKG/usr/share/applications/
+cp -a $PKG/usr/lib${LIBDIRSUFFIX}/java/jre/lib/desktop/icons/hicolor \
+ $PKG/usr/share/icons/
+cp -a $PKG/usr/lib${LIBDIRSUFFIX}/java/jre/lib/desktop/mime/packages \
+ $PKG/usr/share/mime/
+
+# We ship the package unmodified, so we do not compress manpages.
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/jdk-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
+